*,
*::after,
*::before {
  box-sizing: border-box;
}
img {
  max-width: 100%;
}
html {
  font-size: 14px;
}
body,
h1,
h2,
h3,
figure {
  margin: 0;
  padding: 0;
}
body {
  background-color: white;
  font-family: "Segoe UI", Tahoma, Geneva, Verdana, sans-serif;
}
a {
  text-decoration: none;
}
h1,
nav {
  text-transform: uppercase;
}
h1 {
  font-family: Impact, Haettenschweiler, "Arial Narrow Bold", sans-serif;
  font-weight: normal;
  font-size: 1rem;
}
h1 a {
  color: white;
  background-color: rgb(81, 105, 95);
  padding: 0.3rem 1rem;
  border-radius: 5px;
}
header {
  background-color: rgb(226, 250, 226);
  position: sticky;
  top: 0;
  z-index: 9999;
}
header .limitador {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
}
.limitador {
  max-width: 1100px;
  width: 95vw;
  margin: auto;
}

/* formatando o menu hamburguer, ocultando as opções */
.menu {
  list-style: none;
  margin: 0;
  padding: 0;
  display: none;
}
nav {
  width: 65%;
}
nav h2 {
  text-align: right;
}
.icone {
  font-size: 1.2rem;
  padding: 1rem;
  height: 50px;
  display: inline-block;
}
h2 a {
  color: black;
}
.menu a {
  color: black;
  font-weight: bold;
  background-color: rgb(226, 250, 226);
  border-radius: 10% 10%;
  display: flex;
  justify-content: center;
  height: 50px;
  align-items: center;
}
.menu a:hover,
.menu a:active {
  background-color: gainsboro;
}

/* Esta classe será manipulado via JS */
.menu-aberto {
  display: block;
  position: absolute;
  right: 0;
  left: 0;
}

/* Section com a classe destaque */
.destaque {
  background-image: url(../imagens/fundo-destaque.jpg);
  height: 90vh;
  color: white;
  background-size: cover; /* cover, faz que a imagem cobrir exatamente a tela (área) */
  background-attachment: fixed; /* fixed -> fixar imagem*/
  text-align: center; /* centralizar na horizontal (conteúdo) */

  display: flex;
  justify-content: center; /* centraliza o elemento */
  align-items: center; /*  centralizar na vertical, só funciona se tiver 'display: flex' */
}

/* clamp(min, ideal, max) */
.destaque h2 {
  font-size: clamp(2rem, 8vw, 7rem);
  animation-name: fadeIn;
  animation-duration: 1.5s;
}
.destaque p {
  font-size: clamp(1.6rem, 2vw, 4rem);

  /* fazendo chamada para @keyframes, no atributo 'backwards'-> animação entra com atraso 1s */
  animation: fadeIn 1.5s 1s backwards;
}

.regras-convivencia {
  text-align: left;
  font-size: 16px;
  margin: 10px 10px 0px;
}

figure abbr {
  color: rgb(81, 105, 95);
  font-size: x-large;
}

@keyframes fadeIn {
  from {
    opacity: 0;
  }
  to {
    opacity: 1;
  }
}

/* Área de Conteúde de texto + 3 imagens */
.front-end,
.localizacao {
  text-align: center;
}
.text-convivenvia {
  text-decoration: double;
  font-size: 20px;
  color: blue;
  margin-left: 10%;
  margin-right: 10%;
}

section h2 {
  text-align: center;
  padding: 1rem;
}
section p {
  padding: 0.5rem 0;
}
figure {
  text-align: center;
  margin: 1rem 0;
}

.colunas {
  display: flex;
  flex-wrap: wrap; /* determina quebra de conteúdo flexbox */
  justify-content: space-between;
}
.txtUL {
  color: #670103;
  font-size: 0.7rem;
}
.txtGH {
  margin-left: 10%;
  margin-top: 40px;
}
.dCV {
  background-color: rgb(81, 105, 95);
  border-radius: 10px 5px 25px 5px;
  padding: 15px;
  margin-right: 20%;
}
.bDL {
  text-decoration: none;
  color: white;
  font-family: cursive;
}

.bVoltar {
  background-color: rgb(81, 105, 95);
  color: #fff;
  /* font-weight: bold; */

  border-radius: 10px 5px 25px 5px;
  /* width: 100%;
  margin-bottom: 20px; */
  padding: 10px;

  text-decoration: none;
  font-family: cursive;
  margin-left: 2%;
}

.btnDL {
  background-color: rgb(81, 105, 95);
  border-radius: 10px 5px 25px 5px;
  margin-top: -20px;
  margin-bottom: 2%;
}

.txtAssembleia {
  text-align: center;
}
.obsDepInterna {
  color: #670103;
  font-family: cursive;
  text-align: center;
  margin-top: -2%;
}

/* história */
.historia {
  background-image: url(../imagens/praia-min.jpg);
  background-attachment: fixed;
  background-size: cover;
  text-align: center;
  padding-bottom: 1rem;
  height: 400px;
}
.historia h2 {
  color: black;
  text-shadow: #fff 4px 4px 4px;
  margin-left: 10%;
  margin-right: 10%;
}

/* limitando o tamanho do video */
iframe {
  width: 100%;
  border: none;
}

/* rodapé */
footer {
  background-color: black;
  color: #fff;
  font-weight: bold;
  text-align: center;
  height: 14vh;

  display: flex;
  justify-content: center;
  align-items: center;
}

/* Página 2 - dependencia */
/* Formatando páginas internas */

.conteudo {
  background-color: whitesmoke;
  padding: 0.7rem;
  border-radius: 7px;
}
table,
th,
td {
  border: 2px solid black;
  border-collapse: collapse;
}
table {
  width: 80%;
  margin: auto;
  max-width: 700px;
}

th {
  background-color: black;
  color: white;
}
td {
  background-color: white;
}
th,
td {
  width: 33%;
  padding: 0.5rem;
}

td:first-child {
  text-transform: uppercase;
}

td:nth-child(1),
td:nth-child(2) {
  text-align: center;
}

td:last-child {
  color: blue;
}

caption {
  font-weight: bold;
  font-size: 1.2rem;
}

caption a {
  text-decoration: underline;
}

.galeriaF1-2col {
  margin-top: 1%;
  margin-left: 25%;
  margin-right: 10%;
  display: grid;
  grid-template-columns: 40% 40%;
  gap: 20px;
}
.galeriaF1-3col {
  margin-top: 5%;
  margin-left: 10%;
  margin-right: 2%;
  display: grid;
  grid-template-columns: 32% 32% 32%;
  gap: 8px;
}

/* --------------------- */

button {
  background-color: black;
  color: white;
  border: none;
  padding: 1rem;
  font-weight: bold;
  margin-top: 2rem;
}
button:hover,
button:focus {
  background-color: darkblue;
  cursor: pointer;
}

/* Portfólio */

.h1Portfolio {
  text-align: center;
  color: rgb(81, 105, 95);
  background-color: #55f3b6;
  border-radius: 5px;
  line-height: 35px;
  margin: 0 35% 0 35%;
  /*  padding-bottom: 8px; */
  font-size: 10px;
}
.hrlinha {
  margin-left: 15%;
  margin-right: 10%;
}
.bPf {
  background-color: rgb(81, 105, 95);
  border-radius: 10px 5px 25px 5px;
  padding: 15px;
  margin-right: 20%;
  width: 10%;
  margin-left: 10%;
}

.galeriaF3-3col {
  margin-top: 5%;
  margin-left: 10%;
  margin-right: 2%;
  display: grid;
  grid-template-columns: 32% 32% 32%;
  gap: 8px;
}

.galeriaF3-4col {
  margin-top: 5%;
  margin-left: 10%;
  margin-right: 2%;
  display: grid;
  grid-template-columns: 23% 23% 23% 23%;
  gap: 8px;
}
.galeriaF3-2col {
  margin-top: 5%;
  margin-left: 25%;
  margin-right: 10%;
  display: grid;
  grid-template-columns: 40% 40%;
  gap: 20%;
}
.galeriaF3-1col {
  margin-top: 5%;
  display: flex;
  justify-content: space-between;

  margin-left: 10%;
  width: 80%;
}

.gF3-colA {
  display: flex;
  flex-direction: column;
  justify-content: space-between;

  width: 38%;
  margin-left: 10%;
}
.gF3-colB {
  width: 30%;
  text-align: justify;
  font-family: "Gill Sans", "Gill Sans MT", Calibri, "Trebuchet MS", sans-serif;
  margin-right: 10%;
  margin-top: -10px;
  margin-left: 10%;
}

.fntRdz {
  font-size: 14px;
  font-weight: normal;
  text-align: left;
  color: rgb(81, 105, 95);
}
.h2ntf {
  color: rgb(151, 88, 94);
  margin-bottom: 3%;
}

/* media queries */
@media screen and (min-width: 600px) {
  .icone {
    display: none;
  }
  .menu {
    display: flex;
    justify-content: space-between;
    padding: 1rem;
  }
  .menu a {
    padding: 0 1rem;
  }

  .txtGH {
    margin-top: -10px;
  }
  .dCV {
    margin-right: 37%;
  }
  h1 {
    font-size: 1.5rem;
  }
  .h1Portfolio {
    padding-bottom: 10px;
    font-size: 18px;
  }
  .historia {
    background-image: url(../imagens/praia.jpg);
  }
}

@media screen and (min-width: 800px) {
  html {
    font-size: 18px;
  }
  header .limitador {
    height: 15vh;
  }
  .destaque {
    height: 85vh;
  }

  .txtUL {
    font-size: 0.8rem;
  }
  .txtGH {
    margin-top: 0px;
  }
}

@media screen and (min-width: 900px) {
  .txtUL {
    font-size: 1rem;
  }

  .dCV {
    margin-right: 40%;
  }
}

@media screen and (min-width: 1100px) {
  .dCV {
    margin-right: 43%;
  }
  .bVoltar {
    margin-left: 10%;
  }
}

@media screen and (min-width: 1200px) {
  .dCV {
    margin-right: 50%;
  }
}
